import { registerExtension } from 'vscode/extensions';

var manifest = {name:"perl",displayName:"Perl Language Basics",description:"Provides syntax highlighting and bracket matching in Perl files.",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin textmate/perl.tmbundle Syntaxes/Perl.plist ./syntaxes/perl.tmLanguage.json Syntaxes/Perl%%206.tmLanguage ./syntaxes/perl6.tmLanguage.json"},contributes:{languages:[{id:"perl",aliases:["Perl","perl"],extensions:[".pl",".pm",".pod",".t",".PL",".psgi"],firstLine:"^#!.*\\bperl\\b",configuration:"./perl.language-configuration.json"},{id:"perl6",aliases:["Perl 6","perl6"],extensions:[".p6",".pl6",".pm6",".nqp"],firstLine:"(^#!.*\\bperl6\\b)|use\\s+v6",configuration:"./perl6.language-configuration.json"}],grammars:[{language:"perl",scopeName:"source.perl",path:"./syntaxes/perl.tmLanguage.json",unbalancedBracketScopes:["variable.other.predefined.perl"]},{language:"perl6",scopeName:"source.perl.6",path:"./syntaxes/perl6.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./syntaxes/perl.tmLanguage.json', new URL('./perl.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./syntaxes/perl6.tmLanguage.json', new URL('./perl6.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./perl.language-configuration.json', new URL('./perl.language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./perl6.language-configuration.json', new URL('./perl6.language-configuration.json', import.meta.url).toString(), 'application/json');

export { whenReady };
